# Training models on Universal dependency datasets
1. Download fasttext embeddings using:
   -  download_fasttext.py 
2. Divide UD dataset into train batches, adjust train scripts, using:
   - UD division notebook.ipynb
3. Train models by running adjusted train.py scripts 
4. Predict on test sets using:
   - predict_UD.py 
5. Compute metrics for google sheet and performance table in gitlab, first one will be saved in google_sheet.csv, 
the latter one in  performance_git.txt. Script requires to download official ud evaluation script from 
https://universaldependencies.org/conll18/ and place it the same directory as create_performance_table.py script   
   - create_performance_table.py